Bug 57419 - Internal compiler error in reload_cse_simplify_operands
Summary: Internal compiler error in reload_cse_simplify_operands
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc3   
(Show other bugs)
Version: 7.2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-12 00:53 UTC by Pavel Roskin
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-12 00:59:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This file shows the problem. I requires no includes. (34.89 KB, text/plain)
2001-12-12 00:57 UTC, Pavel Roskin
no flags Details

Description Pavel Roskin 2001-12-12 00:53:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.6+) Gecko/20011211

Description of problem:
gcc3 3.0.2 cannot compile Linux-2.4.17-pre8 - it gets an internal error in
reload_cse_simplify_operands when compiling 8193too.c for i686.

Version-Release number of selected component (if applicable): 3.0.2


How reproducible:
Always

Steps to Reproduce:
1. Get the attached bug.c
2. gcc3 -O2 -fomit-frame-pointer -march=i686 -c bug.c
	

Actual Results:  bug.c: In function `netdev_ethtool_ioctl':
bug.c:1709: Unrecognizable insn:
(insn/i 445 997 994 (parallel[ 
            (set (reg:SI 6 ebp)
                (asm_operands:SI ("addl %3,%1 ; sbbl %0,%0; cmpl %1,%4;
sbbl $0,%0") ("=&r") 0[ 
                        (reg/v:SI 1 edx [121&)
                        (mem:SI (plus:SI (reg/f:SI 6 ebp)
                                (const_int -124 [0xffffff84&)) 0)
                        (mem/s:SI (plus:SI (reg:SI 0 eax [129&)
                                (const_int 12 [0xc&)) 4)
                    & 
                    [ 
                        (asm_input:SI ("1"))
                        (asm_input:SI ("g"))
                        (asm_input:SI ("g"))
                    &  ("bug.c") 1490))
            (set (reg/v:SI 1 edx [121&)
                (asm_operands:SI ("addl %3,%1 ; sbbl %0,%0; cmpl %1,%4;
sbbl $0,%0") ("=r") 1[ 
                        (reg/v:SI 1 edx [121&)
                        (mem:SI (plus:SI (reg/f:SI 6 ebp)
                                (const_int -124 [0xffffff84&)) 0)
                        (mem/s:SI (plus:SI (reg:SI 0 eax [129&)
                                (const_int 12 [0xc&)) 4)
                    & 
                    [ 
                        (asm_input:SI ("1"))
                        (asm_input:SI ("g"))
                        (asm_input:SI ("g"))
                    &  ("bug.c") 1490))
            (clobber (reg:QI 19 dirflag))
            (clobber (reg:QI 18 fpsr))
            (clobber (reg:QI 17 flags))
        & ) -1 (insn_list 430 (insn_list 437 (nil)))
    (nil))
bug.c:1709: Internal compiler error in reload_cse_simplify_operands, at
reload1.c:8355
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.


Expected Results:  Compilation without errors or warnings.

Additional info:

All compiler flags are essential to reproduce the problem.  bug.c is a
result of preprocessing and simplifying of the 8193too driver.

Comment 1 Pavel Roskin 2001-12-12 00:57:13 UTC
Created attachment 40392 [details]
This file shows the problem. I requires no includes.

Comment 2 Jakub Jelinek 2001-12-18 15:50:51 UTC
This has been fixed in 3.0.3 AFAIK, but we switched to gcc 3.1 in rawhide,
so gcc3 won't be updated for this.


Note You need to log in before you can comment on or make changes to this bug.